package com.goafanti.common.dao;

import com.goafanti.common.bo.ErrorDunListBo;
import com.goafanti.common.model.TOrderMid;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

public interface TOrderMidMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TOrderMid record);

    int insertSelective(TOrderMid record);

    TOrderMid selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TOrderMid record);

    int updateByPrimaryKey(TOrderMid record);

    TOrderMid selectByOrderNo(String orderNo);

    void updateSalesmanId(@Param("aid")String aid, @Param("transferId")String transferId);

    void updateFinanceId(@Param("id")String id, @Param("financeId")String financeId);

    void updatefinalReceivables(@Param("orderNo")String orderNo, @Param("amount") BigDecimal amount,
                                @Param("count") BigDecimal count,@Param("receivablesTime") Date receivablesTime);

    void updateInvoice(String orderNo);


    String selectDepNameByDepid(String orderDep);

    void updateCostAmount(String orderNo);



    int updateByOrderNo(TOrderMid tm);

    void updateByList(List<String> addList2);

    List<ErrorDunListBo> selectErrorDun();

    void updateErrorDun();

    int judgeProjectType(String orderNo);


    List<TOrderMid> selectAll();

    void updateStopProjectByOrderNo(String orderNo);
}
